<?php
function _remove_script_version( $src ){
$parts = explode( '?', $src );
return $parts[0];
}
add_filter( 'script_loader_src', '_remove_script_version', 15, 1 );
add_filter( 'style_loader_src', '_remove_script_version', 15, 1 );

require('inc/action.php');
require('inc/class-tgm-plugin-activation.php');
function mw_register_required_plugins() {
    $plugins = array(
        array(
            'name'      => 'WP-PostViews',
            'slug'      => 'wp-postviews',
            'required'  => true,
			'version'		=> '1.74',
        ),
    );
    $theme_text_domain = 'mandegarweb';
    $config = array(
        'domain'            => $theme_text_domain,
        'default_path'      => '',
        'parent_menu_slug'  => 'themes.php',
        'parent_url_slug'   => 'themes.php',
        'menu'              => 'install-required-plugins',
        'has_notices'       => true,
        'is_automatic'      => false,
        'message'           => '',
        'strings'           => array(
            'page_title'                                => __( 'نصب افزونه‌ی مورد نیاز پوسته‌ی ماندگار بلاگ', $theme_text_domain ),
            'menu_title'                                => __( 'نصب افزونه', $theme_text_domain ),
            'installing'                                => __( 'در حال نصب افزونه: %s', $theme_text_domain ),
            'oops'                                      => __( 'Something went wrong with the plugin API.', $theme_text_domain ),
            'notice_can_install_required'               => _n_noop( 'پوسته‌ی ماندگار بلاگ نیاز به نصب افزونه‌ی %1$s دارد.', 'This theme requires the following plugins: %1$s.' ),
            'notice_can_install_recommended'            => _n_noop( 'recommends the following plugin: %1$s.', 'This theme recommends the following plugins: %1$s.' ),
            'notice_cannot_install'                     => _n_noop( 'Sorry, but you do not have the correct permissions to install the %s plugin. Contact the administrator of this site for help on getting the plugin installed.', 'Sorry, but you do not have the correct permissions to install the %s plugins. Contact the administrator of this site for help on getting the plugins installed.' ),
            'notice_can_activate_required'              => _n_noop( 'افزونه‌ی %1$s در حالی غیرفعال است که مورد نیاز پوسته‌ی ماندگار بلاگ می‌باشد.', 'The following required plugins are currently inactive: %1$s.' ),
            'notice_can_activate_recommended'           => _n_noop( 'The following recommended plugin is currently inactive: %1$s.', 'The following recommended plugins are currently inactive: %1$s.' ),
            'notice_cannot_activate'                    => _n_noop( 'Sorry, but you do not have the correct permissions to activate the %s plugin. Contact the administrator of this site for help on getting the plugin activated.', 'Sorry, but you do not have the correct permissions to activate the %s plugins. Contact the administrator of this site for help on getting the plugins activated.' ),
            'notice_ask_to_update'                      => _n_noop( 'The following plugin needs to be updated to its latest version to ensure maximum compatibility with this theme: %1$s.', 'The following plugins need to be updated to their latest version to ensure maximum compatibility with this theme: %1$s.' ),
            'notice_cannot_update'                      => _n_noop( 'Sorry, but you do not have the correct permissions to update the %s plugin. Contact the administrator of this site for help on getting the plugin updated.', 'Sorry, but you do not have the correct permissions to update the %s plugins. Contact the administrator of this site for help on getting the plugins updated.' ),
            'install_link'                              => _n_noop( 'آغاز نصب افزونه', 'Begin installing plugins' ),
            'activate_link'                             => _n_noop( 'فعال کردن افزونه نصب شده', 'Activate installed plugins' ),
            'return'                                    => __( 'بازگشت به برگه‌ی نصب افزونه‌ها', $theme_text_domain ),
            'plugin_activated'                          => __( 'Plugin activated successfully.', $theme_text_domain ),
            'complete'                                  => __( 'All plugins installed and activated successfully. %s', $theme_text_domain )
        )
    );
 
    tgmpa( $plugins, $config );
 
}
add_action( 'tgmpa_register', 'mw_register_required_plugins' );

function mw_scripts() {
	wp_enqueue_style ('style', get_stylesheet_directory_uri() . '/style.css', array(), 'all' );
	wp_enqueue_script ('carousel', get_stylesheet_directory_uri() . '/js/owl.carousel.min.js', array(), '', true );
	wp_enqueue_script ('ticker', get_stylesheet_directory_uri() . '/js/jquery.ticker.js', array() );
	wp_enqueue_script ('slicknav', get_stylesheet_directory_uri() . '/js/jquery.slicknav.js', array(), '', true );
	wp_enqueue_script ('modernizr', get_stylesheet_directory_uri() . '/js/modernizr.min.js', array(), '', true );
	wp_enqueue_script ('html5shiv', get_stylesheet_directory_uri() . '/js/html5shiv.js', array(), '', true );
	wp_script_add_data( 'html5shiv', 'conditional', 'lt IE 9' );
	wp_enqueue_script ('mediaqueries', get_stylesheet_directory_uri() . '/js/css3-mediaqueries.js', array(), '', true );
	wp_script_add_data( 'mediaqueries', 'conditional', 'lt IE 9' );
}
add_action( 'wp_enqueue_scripts', 'mw_scripts' );

add_filter( 'ot_show_new_layout', '__return_false' );
add_filter( 'ot_show_pages', '__return_false' );
add_filter( 'ot_theme_mode', '__return_true' );
add_filter( 'ot_meta_boxes', '__return_true' );
include_once( 'inc/option-tree/ot-loader.php' );
include_once( 'inc/theme-options.php' );
function register_my_menus(){
register_nav_menus(
array(
'top-menu' => __( 'فهرست نخست' ),
'top-menu1' => __( 'فهرست دوم' )
));
}
add_action( 'init', 'register_my_menus' );
function cuss() {
$args = array(
'id' => 'bands',
'class' => 'neeoft',
'name' => 'پاورقی نخست',
'description' => 'ابزارک‌های مورد نیاز را در این بخش قرار دهید. پیشنهاد: دو مورد',
'before_title' => '<div class="box-footer11"><h5 class="footer-title">',
'after_title' => '</h5><div class="clear"></div>',
'before_widget' => '',
'after_widget' => '<div class="clear"></div></div>',
);
register_sidebar( $args );
}
add_action( 'widgets_init', 'cuss' );
function cuss1() {
$args = array(
'id' => 'bands1',
'class' => 'neeoft1',
'name' => 'پاورقی دوم',
'description' => 'ابزارک‌های مورد نیاز را در این بخش قرار دهید. پیشنهاد: یک مورد',
'before_title' => '<div class="box-footer12"><h5 class="footer-title">',
'after_title' => '</h5><div class="clear"></div>',
'before_widget' => '',
'after_widget' => '<div class="clear"></div></div>',
);
register_sidebar( $args );
}
add_action( 'widgets_init', 'cuss1' );
function cuss2() {
$args = array(
'id' => 'bands2',
'class' => 'neeoft2',
'name' => 'پاورقی سوم (فرم تماس)',
'description' => 'ابزارک‌های مورد نیاز را در این بخش قرار دهید. پیشنهاد: ابزارک فرم تماس',
'before_title' => '<div class="box-footer11"><h5 class="footer-title">',
'after_title' => '</h5><div class="clear"></div>',
'before_widget' => '',
'after_widget' => '<div class="clear"></div></div>',
);
register_sidebar( $args );
}
add_action( 'widgets_init', 'cuss2' );
function cuss3() {
$args = array(
'id' => 'bands3',
'class' => 'neeoft3',
'name' => 'نوارکناری',
'description' => 'ابزارک‌های نوارکناری را در این بخش قرار دهید.',
'before_title' => '<aside class="text-widg1"><div class="title890"><h4>',
'after_title' => '</h4><div class="clear"></div></div>',
'before_widget' => '',
'after_widget' => '<div class="clear"></div></aside>',
);
register_sidebar( $args );
}
add_action( 'widgets_init', 'cuss3' );
function pagination($pages = '', $range = 4)
{  
     $showitems = ($range * 3)+1;  
     global $paged;
     if(empty($paged)) $paged = 1;
     if($pages == '')
     {
         global $wp_query;
         $pages = $wp_query->max_num_pages;
         if(!$pages)
         {
             $pages = 1;
         }
     }   
     if(1 != $pages)
     {
         echo "<div class=\"pagination\"><span>برگه ".$paged." از ".$pages."</span>";
         if($paged > 2 && $paged > $range+1 && $showitems < $pages) echo "<a rel='nofollow' href='".get_pagenum_link(1)."'>&laquo; اولین</a>";
         if($paged > 1 && $showitems < $pages) echo "<a rel='nofollow' href='".get_pagenum_link($paged - 1)."'>&lsaquo; قبلی</a>";
 
         for ($i=1; $i <= $pages; $i++)
         {
             if (1 != $pages &&( !($i >= $paged+$range+1 || $i <= $paged-$range-1) || $pages <= $showitems ))
             {
                 echo ($paged == $i)? "<span class=\"current\">".$i."</span>":"<a rel='nofollow' href='".get_pagenum_link($i)."' class=\"inactive\">".$i."</a>";
             }
         }
         if ($paged < $pages && $showitems < $pages) echo "<a rel='nofollow' href=\"".get_pagenum_link($paged + 1)."\">بعدی &rsaquo;</a>";  
         if ($paged < $pages-1 &&  $paged+$range-1 < $pages && $showitems < $pages) echo "<a rel='nofollow' href='".get_pagenum_link($pages)."'>آخرین  &raquo;</a>";
         echo "</div>\n";
     }
}
add_theme_support( 'post-thumbnails' );
if (function_exists('add_image_size')){
add_image_size( 'thumb1', 285, 180, true); 
add_image_size( 'thumb2', 390, 228, true); // use
}
function wpe_excerptlength_teaser( $length ) {
    return 60;
}
function wpe_excerptlength_index( $length ) {
    return 22;
}
function wpe_excerptmore( $more ) {
    return '...';
}
function wpe_excerpt( $length_callback = '', $more_callback = '' ) {
    if ( function_exists( $length_callback ) )
        add_filter( 'excerpt_length', $length_callback );
    if ( function_exists( $more_callback ) )
        add_filter( 'excerpt_more', $more_callback );
    $output = get_the_excerpt();
    $output = apply_filters( 'wptexturize', $output );
    $output = apply_filters( 'convert_chars', $output );
    echo $output;
}
function complete_version_removal() {
 return '';
}
add_filter('the_generator', 'complete_version_removal');
add_filter('login_errors',create_function('$a', "return null;"));
function remove_rel($result) {
$result = str_replace(' rel="category tag"', ' rel="tag"', $result);
return $result;
}
add_filter('wp_list_categories', 'remove_rel');
add_filter('the_category', 'remove_rel');
add_filter('the_content', 'my_nofollow');
add_filter('the_excerpt', 'my_nofollow');
function my_nofollow($content) {
    return preg_replace_callback('/<a[^>]+/', 'my_nofollow_callback', $content);
}
function my_nofollow_callback($matches) {
    $link = $matches[0];
    $site_link = get_bloginfo('url');
    if (strpos($link, 'rel') === false) {
        $link = preg_replace("%(href=\S(?!$site_link))%i", 'rel="nofollow" $1', $link);
    } elseif (preg_match("%href=\S(?!$site_link)%i", $link)) {
        $link = preg_replace('/rel=\S(?!nofollow)\S*/i', 'rel="nofollow"', $link);
    }
    return $link;
}
function comment_loop_cd( $comment, $args, $depth ) {
	$GLOBALS['comment'] = $comment;
	switch ( $comment->comment_type ) :
		case 'pingback' :
		case 'trackback' :
	?>
	<li class="post pingback">
		<p>بازتاب: <?php comment_author_link(); ?><?php edit_comment_link( 'ویرایش', '<span class="edit-link">', '</span>' ); ?></p>
	<?php
			break;
		default :
	?>
	<li <?php comment_class(); ?> id="li-comment-<?php comment_ID(); ?>">
		<article id="comment-<?php comment_ID(); ?>" class="comment">
			<footer class="comment-meta">
				<div class="br-com"></div>
				<div class="comment-author vcard">
					<?php
						$avatar_size = 45;
						if ( '0' != $comment->comment_parent )
							$avatar_size = 45;
						echo get_avatar( $comment, $avatar_size );
						/* translators: 1: comment author, 2: date and time */
						printf( '%1$s',
							sprintf( '<span class="fn">%s :</span>', get_comment_author_link() ),
							sprintf( '<a href="%1$s"><time datetime="%2$s">%3$s</time></a>',
								esc_url( get_comment_link( $comment->comment_ID ) ),
								get_comment_time( 'c' ),
								/* translators: 1: date, 2: time */
								sprintf( '%1$s ، %2$s', get_comment_date("d M Y"), get_comment_time() )
							)
						);
					?>					
<div class="comment-date"><?php 
$d = "d M y";
$comment_date = get_comment_date( $d, $comment_ID );
echo $comment_date;
?></div>
					<?php edit_comment_link( '(ویرایش)', '<span class="edit-link">', '</span>' ); ?>
				<div class="clear"></div></div>
				<?php if ( $comment->comment_approved == '0' ) : ?>
					<em class="comment-awaiting-moderation">دیدگاه شما پس از پذیرش، نمایش داده خواهد شد.</em>
					<br>
				<?php endif; ?>
			</footer>
			<div class="comment-content"><?php comment_text(); ?></div>
<div class="clear comment-replay"><?php echo comment_reply_link(array('depth' => $depth, 'max_depth' => $args['max_depth'])); ?> </div>
			<div class="clear"></div>
		</article>
	<?php
			break;
	endswitch;
}
function comment_form_cd( $args = array(), $post_id = null ) {
	global $id;
	if ( null === $post_id )
		$post_id = $id;
	else
		$id = $post_id;
	$commenter = wp_get_current_commenter();
	$user = wp_get_current_user();
	$user_identity = ! empty( $user->ID ) ? $user->display_name : '';
	$req = get_option( 'require_name_email' );
	$aria_req = ( $req ? " aria-required='true'" : '' );
	$fields =  array(
		'author' => '<div class="right-commentss"><p class="comment-form-author">' . '<input id="author" class="meta" name="author" type="text" placeholder="نام (مورد نیاز)" value="' . esc_attr( $commenter['comment_author'] ) . '" size="30"' . $aria_req . ' /></p>',
		'email'  => '<p class="comment-form-email"><input id="email" class="meta" name="email" type="text" placeholder="ایمیل (مورد نیاز)" value="' . esc_attr(  $commenter['comment_author_email'] ) . '" size="30"' . $aria_req . ' /></p>',
		'url'    => '<p class="comment-form-url">' . '<input id="url" class="meta" name="url" type="text" placeholder="وب‌سایت" value="' . esc_attr( $commenter['comment_author_url'] ) . '" size="30" /></p></div>',
	);
	$required_text = sprintf( ' ' . __('Required fields are marked %s'), '<span class="required">*</span>' );
	$defaults = array(
		'fields'               => apply_filters( 'comment_form_default_fields', $fields ),
		'comment_field'        => '<p class="comment-form-comment"><textarea id="comment" name="comment" cols="45" rows="11" aria-required="true" placeholder="دیدگاه‌تان را بنویسید"></textarea></p>',
		'must_log_in'          => '<p class="must-log-in">' .  sprintf( __( 'شما باید <a href="%s">وارد شوید</a> برای ارسال دیدگاه.' ), wp_login_url( apply_filters( 'the_permalink', get_permalink( $post_id ) ) ) ) . '</p>',
		'logged_in_as'         => '<p class="logged-in-as">' . sprintf( __( 'وارد شده با نام <a href="%1$s">%2$s</a>. <a href="%3$s" title="بیرون رفتن از حساب کاربری">بیرون رفتن؟</a>' ), admin_url( 'profile.php' ), $user_identity, wp_logout_url( apply_filters( 'the_permalink', get_permalink( $post_id ) ) ) ) . '</p>',
		'comment_notes_before' => '',
		'id_form'              => 'commentform',
		'id_submit'            => 'submit',
		'title_reply'          => __( '' ),
		'title_reply_to'       => __( 'پاسخ دادن به %s' ),
		'cancel_reply_link'    => __( 'لغو پاسخ' ),
		'label_submit'         => 'فرستادن دیدگاه',
	);
	//'comment_notes_before' => '<p class="comment-notes">' . __( 'Your email address will not be published.' ) . ( $req ? $required_text : '' ) . '</p>',
	$args = wp_parse_args( $args, apply_filters( 'comment_form_defaults', $defaults ) );
	?>
		<?php if ( comments_open() ) : ?>
			<?php do_action( 'comment_form_before' ); ?>
			<div id="respond">
				<h3 id="reply-title"><?php comment_form_title( $args['title_reply'], $args['title_reply_to'] ); ?> <small><?php cancel_comment_reply_link( $args['cancel_reply_link'] ); ?></small></h3>
				<?php if ( get_option( 'comment_registration' ) && !is_user_logged_in() ) : ?>
					<?php echo $args['must_log_in']; ?>
					<?php do_action( 'comment_form_must_log_in_after' ); ?>
				<?php else : ?>
					<form action="<?php echo site_url( '/wp-comments-post.php' ); ?>" method="post" id="<?php echo esc_attr( $args['id_form'] ); ?>">
						<?php do_action( 'comment_form_top' ); ?>
						<?php if ( is_user_logged_in() ) : ?>
							<?php echo apply_filters( 'comment_form_logged_in', $args['logged_in_as'], $commenter, $user_identity ); ?>
							<?php do_action( 'comment_form_logged_in_after', $commenter, $user_identity ); ?>
						<?php else : ?>
							<?php echo $args['comment_notes_before']; ?>
							<?php
							do_action( 'comment_form_before_fields' );
							foreach ( (array) $args['fields'] as $name => $field ) {
								echo apply_filters( "comment_form_field_{$name}", $field ) . "\n";
							}
							do_action( 'comment_form_after_fields' );
							?>
						<?php endif; ?>
						<?php echo apply_filters( 'comment_form_field_comment', $args['comment_field'] ); ?>
						<?php echo $args['comment_notes_after']; ?>
						<p class="form-submit">
							<input name="submit" type="submit" id="<?php echo esc_attr( $args['id_submit'] ); ?>" value="<?php echo esc_attr( $args['label_submit'] ); ?>" />
							<?php comment_id_fields( $post_id ); ?>
						</p>
						<?php do_action( 'comment_form', $post_id ); ?>
					</form>
				<?php endif; ?>
			</div><!-- #respond -->
			<?php do_action( 'comment_form_after' ); ?>
		<?php else : ?>
			<?php do_action( 'comment_form_comments_closed' ); ?>
		<?php endif; ?>
	<?php
}
?>