<?php
// Creating the widget 
class wpb_widget extends WP_Widget {

function __construct() {
parent::__construct(
// Base ID of your widget
'wpb_widget', 

// Widget name will appear in UI
__('ابزارک فرم تماس', 'wpb_widget_domain'), 

// Widget description
array( 'description' => __( 'یک فرم تماس ساده برای برقراری ارتباط با شما', 'wpb_widget_domain' ), ) 
);
}

// Creating widget front-end
// This is where the action happens
public function widget( $args, $instance ) {
$title = apply_filters( 'widget_title', $instance['title'] );
// before and after widget arguments are defined by themes
echo $args['before_widget'];
if ( ! empty( $title ) )
echo $args['before_title'] . $title . $args['after_title'];
?>

<div class="contact-footer-form">
<form method="get" id="form_email">
<input type="text" placeholder="نام شما" name="fmame_user" id="name">
<input type="email" placeholder="ایمیل" name="mail_user" id="address_email">
<textarea placeholder="پیام..." name="comment" id="comment_footer"></textarea>
پاسخ پرسش را به پارسی بنویسید!<input placeholder="شش + یک /  چند می‌شود؟" type="text" name="captcha" id="password"/>
<input type="button" id="submit_email" value="فرستادن">
<div id="showresult"></div>
</form>
<div class="clear"></div>
</div>
<script type="text/javascript">
$(document).ready(function() {  
	$('#submit_email').click(function() {
		$('#showresult').html('در حال فرستادن پیام...');
		var data_to_send =  $('#form_email').serializeArray();
			jQuery.ajax({
				type: "POST",
				url: "<?php bloginfo('template_url'); ?>/inc/mail.php",
				data: data_to_send,
				success: function(msg){
					$('#showresult').html(msg);
					if (msg == 'پیام شما فرستاده شد! سپاسگزاریم.'){
					$("#form_email")[0].reset();
					}
				}
			});
	});
	});
</script>
<?php
echo $args['after_widget'];
}
		
// Widget Backend 
public function form( $instance ) {
if ( isset( $instance[ 'title' ] ) ) {
$title = $instance[ 'title' ];
}
else {
$title = __( 'تماس با من', 'wpb_widget_domain' );
}
// Widget admin form
?>
<p>
<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e( 'Title:' ); ?></label> 
<input class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" type="text" value="<?php echo esc_attr( $title ); ?>" />
</p>
<?php 
}
	
// Updating widget replacing old instances with new
public function update( $new_instance, $old_instance ) {
$instance = array();
$instance['title'] = ( ! empty( $new_instance['title'] ) ) ? strip_tags( $new_instance['title'] ) : '';
return $instance;
}
} // Class wpb_widget ends here

// Register and load the widget
function wpb_load_widget() {
	register_widget( 'wpb_widget' );
}
add_action( 'widgets_init', 'wpb_load_widget' );
?>