(function($){$.fn.ticker=function(options){var opts=$.extend({},$.fn.ticker.defaults,options);return this.each(function(){var tickerContainer=$(this);var headlineContainer;var headlineElements=tickerContainer.find('li');var headlines=[];var headlineTagMap={};var outerTimeoutId;var innerTimeoutId;var currentHeadline=0;var currentHeadlinePosition=0;var firstOuterTick=true;var firstInnerTick=true;var allowedTags=['a','b','strong','span','i','em','u'];if(opts.finishOnHover||opts.pauseOnHover){tickerContainer.removeClass('hover');tickerContainer.hover(function(){$(this).toggleClass('hover');});}
var h,l;headlineElements.each(function(index,element){h=stripTags($(this).html(),allowedTags);l=locateTags(h);h=stripTags(h);headlines.push(h);headlineTagMap[headlines.length-1]=l;});if(opts.random)shuffleArray(headlines);tickerContainer.find('ul').after('<div></div>').remove();headlineContainer=tickerContainer.find('div');function outerTick(){firstInnerTick=true;if(firstOuterTick){firstOuterTick=false;innerTick();return;}
outerTimeoutId=setTimeout(function(){if(opts.pauseOnHover&&tickerContainer.hasClass('hover')){clearTimeout(innerTimeoutId);outerTick();return;}
innerTick();},opts.itemSpeed);}
function innerTick(){if(firstInnerTick){firstInnerTick=false;tick();return;}
if(currentHeadlinePosition>headlines[currentHeadline].length){advance();return;}
if(opts.finishOnHover&&opts.pauseOnHover&&tickerContainer.hasClass('hover')&&currentHeadlinePosition<=headlines[currentHeadline].length){headlineContainer.html(getCurrentTick());currentHeadlinePosition+=1;innerTick();return;}
else{innerTimeoutId=setTimeout(function(){if(opts.pauseOnHover&&tickerContainer.hasClass('hover')){clearTimeout(innerTimeoutId);innerTick();return;}
tick();advance();},opts.cursorSpeed);}}
function advance(){if(currentHeadlinePosition>headlines[currentHeadline].length){currentHeadline+=1;currentHeadlinePosition=0;if(currentHeadline==headlines.length)currentHeadline=0;clearTimeout(innerTimeoutId);clearTimeout(outerTimeoutId);outerTick();}}
function tick(){if(currentHeadlinePosition===0&&opts.fade){clearTimeout(innerTimeoutId);headlineContainer.fadeOut(opts.fadeOutSpeed,function(){headlineContainer.html(getCurrentTick());headlineContainer.fadeIn(opts.fadeInSpeed,function(){currentHeadlinePosition+=1;innerTick();});});}
else{headlineContainer.html(getCurrentTick());currentHeadlinePosition+=1;clearTimeout(innerTimeoutId);innerTick();}}
function getCurrentTick(){var cursor,i,j,location;switch(currentHeadlinePosition%2){case 1:cursor=opts.cursorOne;break;case 0:cursor=opts.cursorTwo;break;}
if(currentHeadlinePosition>=headlines[currentHeadline].length)cursor='';var headline='';var openedTags=[];for(i=0;i<currentHeadlinePosition;i++){location=null;for(j=0;j<headlineTagMap[currentHeadline].length;j++){if(headlineTagMap[currentHeadline][j]&&headlineTagMap[currentHeadline][j].start===i){location=headlineTagMap[currentHeadline][j];break;}}
if(location){headline+=location.tag;if(!location.selfClosing){if(location.tag.charAt(1)==='/'){openedTags.pop();}
else{openedTags.push(location.name);}}}
headline+=headlines[currentHeadline][i];}
for(i=0;i<openedTags.length;i++){headline+='</'+openedTags[i]+'>';}
return headline+cursor;}
outerTick();});};function shuffleArray(array){for(var i=array.length-1;i>0;i--){var j=Math.floor(Math.random()*(i+1));var temp=array[i];array[i]=array[j];array[j]=temp;}
return array;}
function stripTags(text,safeTags){safeTags=safeTags||[];var tags=/<\/?([a-z][a-z0-9]*)\b[^>]*>/img;var comments=/<!--.*?-->/img;return text.replace(comments,'').replace(tags,function(a,b){return safeTags.indexOf(b.toLowerCase())!==-1?a:'';});}
function locateTags(text,tagList){tagList=tagList||[];var tags=/<\/?([a-z][a-z0-9]*)\b[^>]*>/im;var selfClosing=/\/\s{0,}>$/m;var locations=[];var match,location;while((match=tags.exec(text))!==null){if(tagList.length===0||tagList.indexOf(match[1])!==-1){location={tag:match[0],name:match[1],selfClosing:selfClosing.test(match[0]),start:match.index,end:match.index+match[0].length-1};locations.push(location);text=text.slice(0,location.start)+text.slice(location.end+1);tags.lastIndex=0;}}
return locations;}
$.fn.ticker.defaults={random:false,itemSpeed:3000,cursorSpeed:50,pauseOnHover:true,finishOnHover:true,cursorOne:'_',cursorTwo:'-',fade:true,fadeInSpeed:600,fadeOutSpeed:300};})(jQuery);